library real_time;
import 'package:http/http.dart' as http;
import 'dart:convert' ;


/// A Calculator.
class RealTime {

 final int unixTime;


  RealTime({this.unixTime});

  factory RealTime.fromJson(Map<String, dynamic> json) {
    return RealTime(unixTime: json['unixtime']);}
}



Future<RealTime> getRealTime(String timeZone) async {

  String url = 'http://worldtimeapi.org/api/timezone/Etc'+timeZone;
  final response =
  await http.get(url);


  if (response.statusCode == 200) {
    print('Sucssful ');

    return RealTime.fromJson(json.decode(response.body));
  } else {
    throw Exception('Failed to load post');
  }
}
